# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Accessor.pm) perl(Class/Accessor/Fast.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/Guess.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(HTML/HeadParser.pm) perl(HTML/Parser.pm) perl(HTTP/Headers.pm) perl(Test/More.pm) perl(URI.pm) perl(URI/file.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 1.31
%define module_name HTML-Copy
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.31
Release: alt1
Summary: copy a HTML file without breaking links.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/T/TK/TKURITA/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module is to copy a HTML file without beaking links in the file. This module is a sub class of HTML::Parser.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install
find $RPM_BUILD_ROOT/usr/bin -exec sed -i -e '1s,^#\!\(/usr\)\?/bin/env[[:space:]]*perl,#!/usr/bin/perl,;1s,-\*-cperl-\*-,,' {} \;

%files
%doc Changes README
%perl_vendor_privlib/H*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.31-alt1
- initial import by package builder

